import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:liftmanager/internal/wode/wode_router.dart';
import 'package:liftmanager/routers/fluro_navigator.dart';
import 'package:liftmanager/widgets/app_bar.dart';
import 'package:liftmanager/widgets/click_item.dart';

class PiaoCenter extends StatefulWidget {
  // PiaoCheck(this.type);

  // final String type;
  @override
  PiaoCenterState createState() => PiaoCenterState();
}

class PiaoCenterState extends State<PiaoCenter> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    double height = MediaQuery.of(context).size.height;
    return Scaffold(
      // resizeToAvoidBottomPadding: true,
      appBar: MyAppBar(
        centerTitle: "发票中心",
      ),
      body: Container(
        // color: Color(0xFFF1F4FC),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            ClickItem(
              title: "待开发票",
              content: "",
              onTap: () {
                NavigatorUtils.push(context, WodeRouter.piaoWait);
              },
            ),
            ClickItem(
              title: "开票历史",
              content: "",
              onTap: () {
                NavigatorUtils.push(context, WodeRouter.piaoList);
              },
            ),
            ClickItem(
              title: "发票抬头",
              content: "",
              onTap: () {
                NavigatorUtils.push(
                    context, "${WodeRouter.piaotou}?checkTou=&type=");
              },
            ),
          ],
        ),
      ),
    );
  }
}
